<?php
/*****************************************
* Casino MOD for Simple Machines Forum   *
* Author: Akai Phan						 *
* Version: 2.0							 *
* Release Date: 3/1/2009				 *
* Language: English						 *
* SMF Version supported: SMF2.0 RC1		 *
*****************************************/
if (!defined('SMF'))
	die('Hacking attempt...');

require ($sourcedir.'/casino/Casino-Subs.php');
require ($sourcedir.'/casino/CasinoDb.php');
require ($sourcedir.'/casino/CasinoGames.php');	

function doHome() {
}

function doGame() {
	global $casino, $context, $txt, $settings;


	
	if(!isset($_GET['game']))
		$_GET['game'] = 'bet';

	
	switch ($_GET['game']) 
	{
		case 'bet2':
			makeBet2();
			break;
		case 'dice2':
			makeDice2();
			break;
		case 'seven2':
			makeSeven2();
			break;
		case 'twentyone2':
			makeTwentyone2();
			break;
	}
	
}

function doBank() {

	global $context, $modSettings, $txt, $user_info;
	global $casino;
	
	$userid = $context['user']['id'];
	
	$cash = $user_info['cash'];
	$cashBank = $user_info['cashBank'];	
	
	if(isset($_GET['banking']))	
	{
		$amount = (float) $_POST['amount'];
		if ($_POST['type'] == 'deposit') 
		{
			if (($amount + $modSettings['casinodfee']) > $cash)
			$casino['bank_message'] = $txt['casino_bank_notmuch'];
			elseif ($amount <= 0)
			$casino['bank_message'] = $txt['casino_bank_negative'];
			elseif ($amount < $modSettings['casinodmin'])
			$casino['bank_message'] = sprintf($txt['casino_bank_toolow'], formatCash($modSettings['casinodmin']));
			elseif ($amount > $modSettings['casinodmax'])
			$casino['bank_message'] = sprintf($txt['casino_bank_toohigh'], formatCash($modSettings['casinodmax']));
			else 
			{
				$cash -= ($amount + $modSettings['casinodfee']);
				$cashBank += $amount;
			
				doCash($userid, $cash);
				doCashBank($userid, $cashBank);

				$casino['bank_message'] = sprintf($txt['casino_bank_deposited'], $amount);
			}
		}
		elseif ($_POST['type'] == 'withdraw')
		{
			if (($amount + $modSettings['casinowfee']) > $cashBank)
			$casino['bank_message'] = $txt['casino_bank_notmuch2'];
			elseif ($amount <= 0)
			$casino['bank_message'] = $txt['casino_bank_negative'];
			elseif ($amount < $modSettings['casinowmin'])
			$casino['bank_message'] = sprintf($txt['casino_bank_toolow2'], formatCash($modSettings['casinowmin']));
			elseif ($amount > $modSettings['casinowmax'])
			$casino['bank_message'] = sprintf($txt['casino_bank_toolow2'], formatCash($modSettings['casinowmax']));			
			else 
			{
				$cashBank -= ($amount + $modSettings['casinowfee']);
				$cash += $amount;
			
				doCash($userid, $cash);
				doCashBank($userid, $cashBank);

				$casino['bank_message'] = sprintf($txt['casino_bank_withdrew'], $amount);
			}
		}
	}
}

function doShop() {
	global $context, $txt, $casino;
	
	if(!isset($_GET['cat']))
		$_GET['cat'] = 1;
	
	// if user purchase something, then do the calculations
	if(isset($_GET['shopping'])) 
	{
		// get the lists of items id available
		$ids = ItemCount();
		// and the array which contains corresponding information
		$iteminfo = readItem('');
		// put the userid into here, easier to write ;)
		$userid = $context['user']['id'];
		// set the bill to zero
		$bill = 0;
		// get the user cash
		$cash = Cash($userid);
		
		// initiate some arrays to store new info
		$boughtitems = array();		
		$casino['shop_message']='';
		
		// make the bill and list of all items bought
		foreach($ids as $id)
		{
			$checkbox = $id . 'checkbox';
			$count = $id .'count';
			
			// if the item is checked, then do... otherwise, just ignore and go to next item
			if(isset($_POST[$checkbox])) 
			{
				$count = (int) $_POST[$count];
				
				// are there enough items to sell?
				if (($iteminfo[$id]['count'] - $count) >= 0) 
				{
					// get list of all items and numbers
					// this list is used to add items to user, and subtract items from shop
					$boughtitems[] = array(
						'itemid' => $id,
						'count' => $count,
						);
					
					// add money to the bills
					$bill += ($iteminfo[$id]['price'] * $count);
				}
				
				// if not enough items, then issue an error 'no stock'
				else 
				{
					$casino['shop_message'] .= sprintf($txt['casino_shop_nostock'],$iteminfo['name']);
				}
			}
		}
		
		// if user doesn't have enough cash, then issue error and terminate buying
		if ($cash < $bill) 
		{
			$casino['shop_message'] .= $txt['casino_shop_lowmoney'];
		}
		
		// otherwise, see if the user bought anything?
		elseif ($bill == 0)
		{
			$casino['shop_message'] .= $txt['casino_shop_nobuy'];
		}
		
		// update cash, items...
		else
		{
			$cash -= $bill;
			doProperty($userid, $boughtitems, 'plus');
			doCash($userid, $cash);
			doItemCount($boughtitems, 'minus');
			$casino['shop_message'] .= sprintf($txt['casino_shop_successpurchase'],formatCash($bill));
		}
	}
}

function doInventory() {
	global $context, $userid, $casino;
	
	$userid = $context['user']['id'];
	if(isset($_GET['next']))
	{
		if(isset($_POST['thename']))
			$userid = UserId($_POST['thename']);
		if(!isset($userid)) 
		{
			$casino['inv_message'] = $txt['casino_inv_nouser'];
		}
	}
}

function doGift() {
	global $context, $txt, $casino;
	
	$casino['gift_message'] = '';
	
	// if user sending gift, then
	if(isset($_GET['gifting'])) 
	{
		// let's see if the user already enter the name
		if(isset($_POST['thename']))
		{
			// retrive the userid of that name
			$newuser = UserId($_POST['thename']);
			
			// if exists the userid
			if(isset($newuser))
			{
				// first, let's get the array of the items user chose
				$items = scanItem();
				
				// next, check if the user has enough gifts to send?
				$error = checkItem($items, $context['user']['id']);
				
				// we only care if the user has enough items to send, and there are actually items to send
				if($error == false && !empty($items))
				{
					// now let's minus the items from sender and plus the items to the receiver, and a message
					doProperty($context['user']['id'], $items, 'minus');
					doProperty($newuser, $items, 'plus');
					$casino['gift_message'] .= $txt['casino_gift_successitem'].'<br />';
				}
				
				// okay, how about cash?
				if(isset($_POST['theamount']) and (float) $_POST['theamount'] > 0)
				{
					// check if the user has enough cash
					if($_POST['theamount'] <= Cash($context['user']['id']))
					{
						// now do the subtract and plus, a message also
						doCash($context['user']['id'], (Cash($context['user']['id']) - (float) $_POST['theamount']));
						doCash($newuser, (Cash($newuser) + (float) $_POST['theamount']));
						$casino['gift_message'] .= $txt['casino_gift_successmoney'].'<br />';	
						
					}
					// not enough money? then
					else
					{
						$casino['gift_message'] .= $txt['casino_gift_nomoney'].'<br />';
					}
				}
			}
			// otherwise, issue a warning the user is not exist
			else 
			{
				$casino['gift_message'] .= $txt['casino_gift_nouser'].'<br />';
			}
		}
		// didn't enter a name?
		else
		{
			$casino['gift_message'] .= $txt['casino_gift_noinput'].'<br />';
		}
	}
}

function doStats() {
}
?>