<?php
/*****************************************
* Casino MOD for Simple Machines Forum   *
* Author: Akai Phan						 *
* Version: 2.0							 *
* Release Date: 3/1/2009				 *
* Language: English						 *
* SMF Version supported: SMF2.0 RC1		 *
*****************************************/
if (!defined('SMF'))
	die('Hacking attempt...');


require_once ($sourcedir.'/casino/Casino-Subs.php');
require_once ($sourcedir.'/casino/CasinoDb.php');
require_once($sourcedir.'/casino/CasinoGames.php');		

function template_welcome() {
	global $context, $modSettings;
	
	writeTabs();
	
	switch ($context['current_subaction']) 
	{
		case 'game':
			template_game();
			break;
		case 'bank':
			template_bank();
			break;
		case 'shop':
			template_shop();
			break;
		case 'inventory':
			template_inventory();
			break;
		case 'gift':
			template_gift();
			break;
		case 'stats':
			template_stats();
			break;
		default:
			template_home();
			break;
	}
	
	writeLogo();
}	
	
function template_home() {

	global $txt, $context;
	
		echo '
			<table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor">
				<tr class="titlebg">
					<td align="center" class="largetext">',$txt['casino'],'</td>
				</tr>
				<tr>
					<td class="windowbg">
						<b>', $txt['casino_home'], '</b> <br />
							', $txt['casino_home_full'];
						
		echo '
				
				</td>
			</tr>
		</table>';

}

function template_bank() {
	
	global $txt, $context, $modSettings, $scripturl, $settings;
	global $casino;
	
	$userid = $context['user']['id'];
	
	echo '
		<table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor">
			<tr class="titlebg">
				<td align="center" colspan="2" class="largetext">', $txt['casino_bank'], '</td>
			</tr><tr>
				<td class="windowbg" valign="top">
					<div style="font-size: 1.25em;">
					<b>', $txt['casino_bank_welcome'], '</b></div>', 

	
						($modSettings['casinoBInterest'] != 0 ? (sprintf($txt['casino_bank_interest'],$modSettings['casinoBInterest'])) . '<br />' : ''),					
						($modSettings['casinodmin'] != 0 ? $txt['casino_bank_minDeposit'] . formatCash($modSettings['casinodmin']) . '<br />' : ''),
						($modSettings['casinowmin'] != 0 ? $txt['casino_bank_minWithdraw']  . formatCash($modSettings['casinowmin']) . '<br />' : ''),
						($modSettings['casinodmax'] != 0 ? $txt['casino_bank_maxDeposit'] . formatCash($modSettings['casinodmax']) . '<br />' : ''),
						($modSettings['casinowmax'] != 0 ? $txt['casino_bank_maxWithdraw'] . formatCash($modSettings['casinowmax']) . '<br />' : ''),
						($modSettings['casinodfee'] != 0 ? $txt['casino_bank_fee_deposit'] . formatCash($modSettings['casinodfee']) . '<br />' : ''),
						($modSettings['casinowfee'] != 0 ? $txt['casino_bank_fee_withdraw'] . formatCash($modSettings['casinowfee']) . '<br />' : ''),
			'</td>
			</tr>
			<tr class="windowbg">
				<td>'; 
				
			if(isset($_GET['banking'])) 
			{
				echo $casino['bank_message'];
			}
			
			echo sprintf($txt['casino_current_bank'], formatCash(Cash($userid)), formatCash(CashBank($userid))) .'<br />'; 
			
			echo '	<br />
					<br />
					<form action="', $scripturl, '?action=casino;sa=bank;banking" method="post">
					  <input type="radio" name="type" value="deposit" id="deposit" checked="checked" />
					  <label for="deposit">', $txt['casino_bank_deposit'], '</label>
					  <input type="radio" name="type" value="withdraw" id="withdraw" />
					  <label for="withdraw">', $txt['casino_bank_withdraw'], '</label>
					  <br />
					  <label>', $txt['casino_bank_amount'], ': ', $modSettings['casinoprefix'], ' 
					  <input type="text" name="amount" size="5" /> ', $modSettings['casinosurfix'], '
					  </label>
					  <br />
					  <input type="submit" value="',$txt['casino_bank_submit'],'" />
					</form>
				</td>
			</tr>
		</table>';
}

function template_shop() {
	global $casino, $txt, $settings, $scripturl, $context;
	
	echo '<form action="',$scripturl,'?action=casino;sa=shop;shopping;cat=',(isset($_GET['cat']) ? $_GET['cat'] : '1'),'" method="post">
			<table class="bordercolor" border="0" cellpadding="4" cellspacing="1" width="100%">
			<tr class="titlebg">
			<td align="center" colspan="12" class="largetext">', $txt['casino_shop'], '</td></tr>';
	
	// output any shop message?
	echo '<tr class="windowbg"><td colspan="12">',$txt['casino_shop_welcome'],'<br />',(isset($casino['shop_message']) ? $casino['shop_message'] : ''),'</td></tr>';
	
	// start with category
	$cat = readCat();
	foreach ($cat as $catid => $catinfo) 
	{
		// draw the category title
		echo '<tr class="catbg"><td align="left" colspan="12">
				<a href="',$scripturl,'?action=casino;sa=shop;cat=',$catid,'">',$catinfo['name'], '</a></td>
				</tr>';
		
		// used to track when to form a new row
		$i = 0;
		
		// only show the items of the category chose by the user
		if($_GET['cat'] == $catid)
		{
			// make the condition and retrieve items data with appropriate with that condition
			$condition = 'WHERE catid = '.$catid;
			$data = readItem($condition);
			
			// prepare the title bar
			$title = array($txt['casino_shop_title'],$txt['casino_shop_desc'],$txt['casino_shop_price'],$txt['casino_shop_stock'],$txt['casino_shop_own'],$txt['casino_shop_action']);
			
			// restructure the data + put in the 'own' column
			$newdata = prepareTable($data, $context['user']['id']);
			
			// draw table
			tableItem($newdata, $title, 'user', 'shop', 2);
		}
	}

	// submit button, and close
	echo '<tr class="windowbg2">
			<td align="left" colspan="12">
			<input type="submit" value="',$txt['casino_shop_submit'],'">
			</td>
			</tr>
			</table> 
			</form>';
}

function template_inventory() {
	global $casino, $txt, $settings, $context, $scripturl;
	global $userid;
	
	// echo the title
	echo '<table class="bordercolor" border="0" cellpadding="4" cellspacing="1" width="100%">
			<tr class="titlebg"><td align="center" colspan="10" class="largetext">',$txt['casino_inventory'],'</td>
			</tr>';
	
	// echo the info row
	echo '<form action="',$scripturl,'?action=casino;sa=inventory;next" method="post"/>
			<tr class="windowbg"><td colspan="10">',$txt['casino_inv_name'],'
			<input type="text" size="10" name="thename" /> 
			<input type="submit" value="',$txt['casino_inv_submit'],'" /> <br />',
			(isset($casino['inv_message']) ? $casino['inv_message'] : '')
			,'</td>
			</tr>
			</form>';
	
	// if the user is defined, then echo the inventory table
	if(isset($userid))
	{
		// echo the table title bar
		$title = array($txt['casino_inv_title'],$txt['casino_inv_desc'],$txt['casino_inv_price'],$txt['casino_inv_own'],$txt['casino_inv_action']);
		// prepare the data to make the table
		$newdata = prepareInvTable($userid);
		// echo the table item
		if($userid == $context['user']['id']) {tableItem($newdata, $title, 'user', 'inv', 2);}
		elseif ($userid <> $context['user']['id']) {tableItem($newdata, $title, 'guest', 'inv', 2);}
	}

	// close the table
	echo '</table>';
}

function template_game() {
	global $casino, $context, $txt, $scripturl, $sourcedir;

	echo '<table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor">
			<tr class="titlebg">
				<td align="center" colspan="2" class="largetext">', $txt['casino_game'], '</td>
			</tr><tr> 
				<td class="windowbg" valign="top" colspan="2">
					', $txt['casino_game_welcome'], '<br />',(isset($casino['game_message']) ? $casino['game_message'] :'') ,'</td>
			</tr>
			<tr class="windowbg">
				<td width=20% valign="top">
				<a href="',$scripturl,'?action=casino;sa=game;game=bet" >',$txt['casino_bet'],'</a><br />
				<a href="',$scripturl,'?action=casino;sa=game;game=dice" >',$txt['casino_dice'],'</a> <br />
				<a href="',$scripturl,'?action=casino;sa=game;game=seven" >',$txt['casino_seven'],' </a> <br />
				<a href="',$scripturl,'?action=casino;sa=game;game=twentyone" >',$txt['casino_twentyone'],'</a> 
				</td> <td width=80%>'; 
	

	switch ($_GET['game']) 
	{
		case 'bet':
			template_bet();
			break;
		case 'bet2':
			template_bet();
			break;
		case 'dice':
			template_dice();
			break;
		case 'dice2':
			template_dice();
			break;
		case 'seven':
			template_seven();
			break;
		case 'seven2':
			template_seven();
			break;
		case 'twentyone':
			template_twentyone();
			break;
		case 'twentyone2':
			template_twentyone();
			break;
	}
	
	echo '</td> </tr> </table>';
} 

function template_error() {
	global $txt;
	
	echo '<table class="tborder" width="50%" align="center" border="0" cellpadding="0" cellspacing="0">
		<tr><td><table width="100%" border="0" cellpadding="4" cellspacing="0">
			<tr class="titlebg"><td>',$txt['casino_error'],'</td></tr>';

	echo '<tr class="windowbg2" align="center">
			<td>',$txt['casino_error_message'],'</td>
			</tr>';
	echo '</table></td></tr></table>';
	echo '<table width="100%"><tr><td align="center"><a href="http://www.e-technology.tk" title="Homepage" target="_blank" class="smalltext">The Casino ' , isset($modSettings["casinoVersion"]) ? $modSettings["casinoVersion"] : '' , ' &copy; 2009, AkaiSMF</a></td></tr></table>';

}

function template_stats() {
	global $txt, $scripturl;
	
	echo '<table class="bordercolor" cellpadding="4" cellspacing="1" border="0" width="100%">
			
			<tr class="titlebg">
				<td colspan="2" align="center" class="largetext">',$txt['casino_stats'],'</td>
			</tr>
			
			<tr class="windowbg">
				<td  colspan="2">
				<a href="',$scripturl,'?action=casino;sa=stats;rich" />',$txt['casino_stats_rich'],'</a>
				</td>
			</tr>';
	
	if(isset($_GET['rich']))
	{
		echo '<tr>
				<td width="50%">';
				
		tableOrder('cash','', $txt['casino_stats_cash']);
		
		echo '</td><td width="50%">';
		
		tableOrder('cashBank','', $txt['casino_stats_cashBank']);
		
		echo '</td></tr>';
	}
	echo '</table>';
}

function template_gift() {
	global $casino, $txt,$context, $scripturl;

	// set the user to current user
	$userid = $context['user']['id'];
	
	// open the table and echo the title row
	echo '<table class="bordercolor" border="0" cellpadding="4" cellspacing="1" width="100%">
			<tr class="titlebg"><td align="center" colspan="10" class="largetext">',$txt['casino_gift'],'</td>
			</tr>';
	
	// echo the info row
	echo '<form action="',$scripturl,'?action=casino;sa=gift;gifting" method="post"/>
			<tr class="windowbg"><td colspan="10">',$txt['casino_gift_name'],'
			<input type="text" size="10" name="thename" /> 
			<input type="submit" value="',$txt['casino_inv_submit'],'" /> <br />',
			(isset($casino['gift_message']) ? $casino['gift_message'] : '')
			,'</td>
			</tr>';

	// echo the money row
	echo '<tr class="windowbg"><td colspan="10">',$txt['casino_gift_money'],'
			<input type="text" name="theamount" size="5"/></td></tr>';
		
	// set title bar info array
	$title = array($txt['casino_inv_title'],$txt['casino_inv_desc'],$txt['casino_inv_price'],$txt['casino_inv_own'],$txt['casino_inv_action']);
	
	// prepare the data 
	$newdata = prepareInvTable($userid);
	
	// echo the table item
	tableItem($newdata, $title, 'user', 'inv', 2);
	
	// close the table
	echo '</table>';


	
}

?>
